// clientloguser.h: interface for the clientloguser class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CLIENTLOGUSER_H__90B15295_1B31_44BE_AD82_9CD3793CB01D__INCLUDED_)
#define AFX_CLIENTLOGUSER_H__90B15295_1B31_44BE_AD82_9CD3793CB01D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "error.h"
#include "strbuf.h"
#include "filesys.h"
#include "FileHead.h"
#include "clientuser.h"
#include "FileLogCache.h"

/* The ClientLogUser subclass of ClientUser is used to build a FileLogCache - it should only
 * be used with calls to "p4 filelog". */

class ClientLogUser : public ClientUser  
{
public:
	ClientLogUser();
	virtual ~ClientLogUser();

	/* This method reads in a filelog and dumps it into a FileHead object.*/
	void OutputInfo(char, const_char*);

	FileHead* working; //This is the FileHead that we'll be modifying.
private:
	bool doneone; //error checking - set to true after level == '0'
	bool toomany; //error checking - set to true if (level == '0' && doneone)
};

#endif // !defined(AFX_CLIENTLOGUSER_H__90B15295_1B31_44BE_AD82_9CD3793CB01D__INCLUDED_)
